Durante la transición a LXQt, hemos recibido comentarios muy variados sobre Lubuntu y lo que se está percibiendo sobre la dirección que está tomando hacia el futuro, por lo que, decidimos que sería muy bueno hacer una publicación en el blog que explicara lo que ha estado sucediendo durante dicha transición, y hacía donde nos dirigimos.

Crear una distribución Linux, específicamente diseñada para hardware antiguo comienza a ser un desafio. A medida que pasa el tiempo, la definición de "máquinas antiguas" ha ido cambiando. En un momento dado, nuestra regla de oro era apoyar máquinas de hasta diez años de antigüedad. Si se miran ordenadores que se lanzaron hace diez años, por ejemplo, un ordenador con el procesador AMD Phenom X3, uno se da cuenta que los ordenadores, mas o menos, admitían dos gigabytes de RAM y procesador de dos núcleos, y también eran de 64 bits en aquel momento.

Hoy en día, se pueden ejecutar mas distribuciones Linux en un ordenador de hace diez años, que las distribuciones Linux de hace cinco años en un ordenador de 15 años.

Por ejemplo, en una instalación limpia de Kubuntu 18.04.01 amd64 (64 bits), con dos gigabytes de RAM y una CPU de un sólo núcleo, (en QEMU), el uso en inactividad con LibreOffice abierto y Firefox abierto mostrando Lubuntu.me es de aproximadamente 1 GB de RAM y un 6% de uso inactivo de la CPU. Con las mismas especificaciones y programas, en una instalación i386 (32 bits), se utilizan 790 MB de RAM y el 7% de uso en inactividad de la CPU.

Si hay algo que decir sobre el uso de recursos en i386, y como de eficiente es en un sistema, el punto es que otras distribuciones ahora pueden hacer lo que solo Lubuntu podía hacer con hardware de 10 años de antigüedad. Por supuesto, pueden sacar sus propias conclusiones y dejarlas en los comentarios de esta publicación.

Además, imaginemos cómo serán estas estadísticas en 2021, cuando Lubuntu 18.04, que ha mantenido nuestro enfoque tradicional, llegue a su fase final de vida.

Estas estadísticas generaron mucho debate interno dentro del equipo de Lubuntu, pero decidimos que, en el futuro, tenemos que adaptarnos al estado actual del mercado. Por lo tanto, **nuestro enfoque principal es cambiar de una distribución cuyo propósito principal es proporcionar una distribución para harware antiguo a una distribución funcional pero modular y dirigida a no interponerse en la forma que los usuarios usan su ordenador**.

En esencia, eso es aprovechar algo que siempre hemos hecho con Lubuntu, proporcionar un sistema operativo que los usuarios pueden usar para revivir sus ordenadores viejos, pero llevándolo a la era de la informática moderna.

Para el futuro inmediato, estos son nuestros objetivos principales:
 - Lubuntu aprovechará las modernas tecnologías y programas basados en Qt para brindar a los usuarios una experiencia funcional y modular.
 - En colaboración con otros, Lubuntu continuará siendo una distribución transparente y abierta cuya prioridad sea mantener a la comunidad informada sobre el desarrollo cuando sea posible.
 - Lubuntu creará y mantendrá documentación completa que se incluirá por defecto en el sistema operativo, pudiendo así guiar a cualquier persona, desde el principiante al experto, sobre como usar Lubuntu con todo su potencial y contribuir al desarrollo del mismo posteriormente.
 - Lubuntu mantendrá una experiencia de uso ligera de forma predeterminada, pero permitirá a los usuarios utilizar componentes mas pesados y con mayores funcionalidades según deseen.
 - Lubuntu tendrá la capacidad de ser utilizado en cualquier idioma en todo el mundo, y permitirá a los colaboradores traducir fácilmente todos los componentes del sistema operativo.

Esto significa que Lubuntu seguirá siendo ligero, y para aquellos que lo usen en sistemas antiguos aún debería ser útil. Pero ya no proporcionaremos requisitos mínimos de sistema y ya no nos enfocaremos principalmente en hardware más antiguo.

Esto es un gran esfuerzo como es de esperar, y aún estamos trabajando para alcanzar a otras distribuciones en términos de paridad en características, pero con 18.10 siendo la primera versión íntegramente con LXQt y 20.04 siendo la primera versión de LTS con LXQt, confiamos en que Lubuntu estará listo para lo que sea que nos depare el futuro.

Gracias, y si tiene alguna pregunta que no haya sido respondida aquí, háganoslo saber.
