This is the eleventh issue of The Lubuntu Development Newsletter. You can read the last issue [here](https://lubuntu.me/lubuntu-development-newsletter-10/).

NOTICE

# Changes

## General

This list is a bit short because we have been focusing on general, behind-the-scenes (and admittedly tedious) administration tasks, but we plan on ramping up development progress in time for the next newsletter.

### Desktop Experience

We have swapped out SMPlayer for VLC, Nomacs for LXImage-Qt, and the KDE 5 LibreOffice frontend instead of the older KDE 4 frontend. We are working on installer slideshow updates to reflect these changes.

Walter Lapchynski is working on packaging Trojitá; that will be done soon.

Lastly, we [fixed](https://phab.lubuntu.me/D13) a bug in the daily which did not properly set the GTK 3 theme when configured if no GTK theme had been configured before.

### Calamares

Congratulations to the Calamares team on [the 3.2.2 release](https://calamares.io/calamares-3.2.2-is-out/)! Simon Quigley and Walter Lapchynski from the Lubuntu team helped in making this release happen, thank you to other contributors for your hard work!

This release is now our installer in the Lubuntu daily images. If you have any feedback or find a new bug, please let us know!

## Infrastructure and Project Changes

### New addition to the Lubuntu Artwork Team!

Please join us in welcoming [Wendy Hill](https://launchpad.net/~thewendypower) to the Lubuntu Artwork Team! You can check out her photography work [here](http://wendyhillphoto.com) and follow her on Twitter [here](https://twitter.com/wendyhillphoto).

### New Documentation

We have started several pieces of documentation on our Phabricator instance which go into more detail about how to contribute to Lubuntu. Here are the ones we are currently working on:

 - [Packaging Tutorial](https://phab.lubuntu.me/w/packaging-tutorial/)
 - [Packaging Policy Document](https://phab.lubuntu.me/w/packaging/)

We also have a general [Contributors Guide](https://phab.lubuntu.me/w/contributor-guide/) that has been started. All of these documents are a work in progress, and will be updated as we have the manpower.

### Social Media Changes

Instead of including links to our new Telegram groups only in our blog post, we have created an easy set of links that we plan on putting next to the regular Telegram link on [our website](https://lubuntu.me/links/):

 - [https://telegram.lubuntu.me/support](https://telegram.lubuntu.me/support)
 - [https://telegram.lubuntu.me/development](https://telegram.lubuntu.me/development)
 - [https://telegram.lubuntu.me/offtopic](https://telegram.lubuntu.me/offtopic)
 - [https://telegram.lubuntu.me/español](https://telegram.lubuntu.me/español)

We have also created a Telegram channel for announcements, which you can find [here](https://t.me/LubuntuOfficial). It will stay low-volume (at most, two or three posts a week), so if you want to watch from the sidelines, feel free to join.

### Miscellaneous

As always, feedback is appreciated.

# Want to help?

One of the easiest ways to get involved with Lubuntu and help us make this release the best one yet is to test Lubuntu and report bugs.

You can learn how to write an excellent bug report that helps us solve your issue quicker by reading [this guide](https://www.chiark.greenend.org.uk/~sgtatham/bugs.html).

More information about testing on Lubuntu can be found [here](https://phab.lubuntu.me/w/testing/).

# Translations

We have [a Weblate instance](https://translate.lubuntu.me/projects/) available for translations. Right now there are not many strings to translate, but as time goes on, we will add more.

Do you speak a language that isn't available to translate there? Let us know in the comments or [elsewhere](https://lubuntu.me/links/) and we will add that language.

This week, Wolfenprey translated our tenth blog post into Spanish. Thank you!

Here are the translators who have contributed so far:

 - Henrik Christiansen (Danish)
 - Hans P. Möller (German, Spanish)
 - Daniel Absmeier (German)
 - Luís Rafael Gomes (Portuguese)
 - Lucas A. V. Dantas (Portuguese (Brazil))
 - Marcin Mikołajczak (Polish)
 - Tony Cuesta Escobar (Catalan)
 - Einar Mostad (Norwegian Bokmål)
 - Emanuele Antonio Faraone (Italian)
 - Carl Schwan (French)

Thank you for your valuable contributions!

# Roadmap

You can find the Cosmic Cuttlefish release cycle [here](https://wiki.ubuntu.com/CosmicCuttlefish/ReleaseSchedule). The beta is slotted for September 27, 2018 and the final release date for October 18, 2018.

Instead of continuing to list our goals here, we have created [a task on our Phabricator instance](https://phab.lubuntu.me/T53) with all of the Lubuntu release blockers and expected features. Additionally, we now have [a wiki page](https://phab.lubuntu.me/w/lubuntu_2/) detailing the work we are going to do by the end of the next development cycle.

Our artwork team is still working on Lenny, and we'll let you know when we have Lenny Cuttlefish. :)

# In the Press

Did you find any exceptional stories about Lubuntu? [Let us know](https://lubuntu.me/links/) and we’ll be happy to include them here.

# Contact us

Follow us on [Twitter](https://twitter.com/LubuntuOfficial) for the latest Lubuntu updates! Don't use Twitter because it's not free software? No worries! Follow us on [Mastodon](https://mastodon.technology/@lubuntu) where the same content is published.

Feel free to get in touch with us [here](https://lubuntu.me/links/) for support, and for press/marketing purposes or if you have a private inquiry, you can get in touch with Release Manager Simon Quigley [here](mailto:tsimonq2@lubuntu.me).
