Here is the sixth issue of This Week in Lubuntu Development. You can read the last issue [here](https://lubuntu.me/this-week-in-lubuntu-development-5/).

NOTICE

# Changes

## Lubuntu 17.10 reaches End of Life on July 19, 2018

Following [the announcement](https://lists.ubuntu.com/archives/ubuntu-announce/2018-July/000232.html) from [Adam Conrad](https://launchpad.net/~adconrad), we are announcing that Lubuntu 17.10 reaches End of Life on July 19, 2018. After July 19, **Lubuntu 17.10 will not receive any more fixes, including security patches**. If you are still running 17.10, you are **highly recommended to update to Lubuntu 18.04 as soon as possible**.

Want to know how to update? Take a look at [this video](https://www.youtube.com/watch?v=QhdQIzyscGw) that was made when 17.04 reached End of Life, which contains instructions which are still current.

## General

It has been a while since the last newsletter was published, and many changes have happened in that time. Here are a few highlights:

 * [nm-tray 0.4.0](https://github.com/palinek/nm-tray/releases/tag/0.4.0) has been [uploaded](https://launchpad.net/ubuntu/+source/nm-tray/0.4.0-0ubuntu1) to Cosmic.
 * [LXQt 0.13.0](https://twitter.com/LXQtOfficial/status/998744682288041984) has [landed](https://twitter.com/LubuntuOfficial/status/998744818493935616), soon after releasing.
 * Our Calamares settings [have been fixed](https://launchpad.net/ubuntu/+source/calamares-settings-ubuntu/3) to allow installation of UEFI systems and systems with no network access.
 * General polish of the dailies.

As always, feedback is appreciated.

## Infrastructure and Project Changes

### Phabricator

We now mirror and host a variety of Git repositories on [our Phabricator instance](https://phab.lubuntu.me/), which is hosted by Altispeed Technologies.

To scale for this, we have adjusted our IRC notifications bot, [Lugito](https://phab.lubuntu.me/source/lugito/), to notify on new commits and new task comments. Thanks to [Konrad Krawiec](https://kkrawiec.me/) for helping with this!

The eventual goal is to move to a completely Launchpad and Phabricator development process, phasing out GitHub following its purchase by Microsoft. All Git repositories will eventually be completely accessible from Phabricator, with repositories hosted on Launchpad serving as a mirror.

### Commercial support for Lubuntu

As announced on [Episode 73 of the Ask Noah Show](http://podcast.asknoahshow.com/73), Lubuntu is working with Altispeed Technologies to provide commercial support for users and organizations who need more support than [our existing channels](https://lubuntu.me/links/) offer. More details will be provided in the future as the infrastructure for this is established.

# Roadmap

You can find the Cosmic Cuttlefish release cycle [here](https://wiki.ubuntu.com/CosmicCuttlefish/ReleaseSchedule).

You can stop expecting features on August 23, 2018 when Feature Freeze is put into effect. The beta is slotted for September 27, 2018 and the final release date for October 18, 2018.

Our artwork team is still working on Lenny, and we'll let you know when we have Lenny Cuttlefish. :)

# In the Press

This section is for highlighting exceptional Lubuntu coverage since the last issue.

 * [Hands-On with First Lubuntu 18.10 Build Featuring the LXQt Desktop by Default](https://news.softpedia.com/news/hands-on-with-first-lubuntu-18-10-build-featuring-the-lxqt-desktop-by-default-521200.shtml)

# Miscellaneous

## Nuevo grupo de Telegram

¿Hablas español? Unete a nuestro nuevo grupo de Telegram para hispanohablantes en [https://t.me/lubuntues](https://t.me/lubuntues) donde podrás obtener soporte y contribuir a Lubuntu.

(Thanks to [Wolfenprey](https://twitter.com/Wolfen48K) for the translation!)

## SouthEast LinuxFest

Simon Quigley was at [SouthEast LinuxFest](http://www.southeastlinuxfest.org/)! SELF was the weekend of June 8, 2018 in Charlotte, North Carolina.

You can find a large amount of pictures from the event [here](https://photos.google.com/share/AF1QipMJ2aduhHfmBoCDZQcyxihcWfx5-Nd1duaUgmNdmnwJa2M1bWWfin4TsCbhbX2Bmw?key=eXdhUjA1SlRzbVhpMkpCMGN1X3V4X0VqdERIZ2tR), which include some with Simon.

While we did not get a chance to reserve a booth, many productive conversations were had about Lubuntu and Ubuntu. [Aaron Honeycutt](https://ahoneybun.net/) from Kubuntu was at the event, as well as people from [the Trident project](http://project-trident.org/) working on Lumina, which is very similar to LXQt. In both cases, productive conversations were had about project collaboration in the future, and projects (mainly enhancements to LXQt) have been sparked on the Lubuntu side.

Lubuntu would like to thank Ubuntu for helping fund this trip for Simon. You can donate to the same funds which made this possible [here](https://www.ubuntu.com/download/desktop/contribute) (while increasing the "Community" slider).

# Contact us

Feel free to get in touch with us [here](https://lubuntu.me/links/) for support, and for press/marketing purposes or if you have a private inquiry, you can get in touch with Release Manager Simon Quigley [here](mailto:tsimonq2@lubuntu.me).
