Thanks to all the hard work from our contributors, we are pleased to announce that the Lubuntu Cosmic Cuttlefish Beta (soon to be 18.10) has been released!

NOTICE

# Welcome to LXQt

This is the first Lubuntu milestone to be released with LXQt as the main desktop environment. The Lubuntu project, in 18.10 and successive releases, will no longer support the LXDE desktop environment or tools, and will instead focus on the LXQt desktop environment. You can find the following major applications and toolkits installed by default in this Lubuntu Cosmic Cuttlefish Beta release:

 - LXQt 0.13.0, with many bugfixes and improvements backported from upstream.
 - Qt 5.11.1, which is the first point release in the Qt 5.11 series.
 - KDE Falkon 3.0.1, which is based off of the Qt WebEngine toolkit.
 - The LibreOffice 6.1.1 suite, with the Qt 5 frontend.
 - VLC 3.0.4, for viewing media and listening to music.
 - Featherpad 0.9.0, for notes and code editing.
 - Discover Software Center 5.13.5, for an easy, graphical way to install and update software.

You can find a variety of other applications installed which aim to enhance your experience while staying out of the way of your normal workflow.

# What is Lubuntu?

Lubuntu is an official Ubuntu flavor which uses the Lightweight Qt Desktop Environment (LXQt). The project’s goal is to provide a lightweight yet functional Linux distribution based on a rock-solid Ubuntu base. Lubuntu provides a simple but modern and powerful graphical user interface, and comes with a wide variety of applications so you can browse, email, chat, play, and be productive.

# Where can I download it?

You can download the Lubuntu Cosmic Cuttlefish Beta on [our downloads page](https://lubuntu.me/downloads/).

# Known Issues

We have [a list of issues](https://phab.lubuntu.me/T53) we plan on addressing prior to the release, but there are several flavor-generic bugs we have been made aware of **but have not tested ourselves**; please do let us know if you can reproduce those with Lubuntu!

 - The ISO [could fail to boot](https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1792932) under VirtualBox.
 - Plymouth [could be crashing](https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1794280) on reboots.

# Lenny Cuttlefish

Here he is!

<a href="https://wiki.ubuntu.com/Lubuntu/Marketing/Lenny?action=AttachFile&do=get&target=lennyfish.svg"><img src="https://lubuntu.me/wp-content/uploads/2018/09/lennyfish.png" height="150em" /></a>

Lenny has been Lubuntu's friendly mascot since the beginning, and for most releases, we have taken the Ubuntu mascot and fused it with Lenny to make it its own unique and fun release-specific creature. Thanks to the Lubuntu Artwork Team for your work in continuing a long standing Lubuntu tradition!

# Would you like to help?

We can always use more help! No matter your skill level, there's likely something you can help with that can make a huge difference in Lubuntu. Feel free to [join](https://lubuntu.me/links/) us on Telegram (which is bridged three ways to Matrix, Telegram, and IRC) and talk to us there. Whether you know another language, have some spare time to help us [test](https://phab.lubuntu.me/w/testing/) Lubuntu, are good at writing documentation, or just want to stay "in the know," that is the place to be.

Another great method to get involved is bug reporting. If you notice an issue please [file a bug](https://bugs.launchpad.net/lubuntu/+filebug) and tag it with "lubuntu".

Don't want to file a bug? [Let us know](https://lubuntu.me/links/) what the problem is (in detail, enough that we can reproduce it) and we can assist you in filing one.

# Stay Connected!

We [publish a newsletter](https://lubuntu.me/category/newsletter/) usually every week which details the work that is currently happening in Lubuntu, including fixed bugs and additional ways you can help.

For the latest Lubuntu information and announcements follow us on [Twitter](https://twitter.com/LubuntuOfficial), [Mastodon](https://mastodon.technology/@lubuntu), or [Telegram](https://t.me/LubuntuOfficial). We have other social media pages and ways to stay connected which you can find [here](https://lubuntu.me/links/).
